Subject: bug#54501: Segfault on recursive structure

From: Eli Zaretskii <[email-masked]>
Date: Sat, 26 Mar 2022 21:00:48 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Andy Gaynor <[email-masked]>,  [email-masked],  Stefan Monnier
>  <[email-masked]>,  Andreas Schwab <[email-masked]>, Eli
>  Zaretskii <[email-masked]>
> Date: Sat, 26 Mar 2022 17:33:22 +0100
> 
> Mattias Engdegård <[email-masked]> writes:
> 
> > The patch fixes the #0=#0# nonsense as well since it's a trivial
> > check.
> 
> Thanks; seems to work perfectly.
> 
> Do you think this is safe enough to go on the release branch?
> 
> This isn't a regression (Emacs has segfaulted on the #0=[#1=(#0# . #1#)]
> as far back as I have Emacs versions), so I'd tend toward thinking it's
> not vital enough to install on the release branch, but perhaps Eli has a
> different opinion.  Eli?

I think we shouldn't install this on the release branch, it's too
risky, and the original problem has been with us forever, or
thereabouts.